package eu.lucazanini.upnavigation;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class MainActivity extends Activity implements OnClickListener {

    @Override
    public void onClick(View v) {
	Intent intent;
	switch (v.getId()) {
	case R.id.button1:
	    intent = new Intent(getApplicationContext(), ChildOneActivity.class);
	    startActivity(intent);
	    break;
	case R.id.button2:
	    intent = new Intent(getApplicationContext(), ChildTwoActivity.class);
	    startActivity(intent);
	    break;
	default:
	    break;
	}
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
	super.onCreate(savedInstanceState);

	setContentView(R.layout.main_activity);

	Button buttonOne = (Button) findViewById(R.id.button1);
	buttonOne.setOnClickListener(this);

	Button buttonTwo = (Button) findViewById(R.id.button2);
	buttonTwo.setOnClickListener(this);
    }
}
